Bug 1317069 - compiler segfualt
compiler segfualt
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
22
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-11 15:58 EST by Steven Brandt
Modified: 2016-07-19 15:24 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 15:24:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
compiler segfaults for gnu-tm and c++11 (929.77 KB, text/x-csrc)
2016-03-11 15:58 EST, Steven Brandt
no flags Details

  None (edit)
Description Steven Brandt 2016-03-11 15:58:13 EST
Created attachment 1135401 [details]
compiler segfaults for gnu-tm and c++11

Description of problem:

g++ -fgnu-tm -std=c++11 file.cpp

on the attached file causes a segfualt.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. cp cc8tvLKH.out file.cpp
2. g++ -fgnu-tm -std=c++11 file.cpp
3.

Actual results:
segfault

Expected results:
a compiled file

Additional info:
Comment 1 Jakub Jelinek 2016-03-17 11:29:03 EDT
This got fixed on the trunk with PR67811.  No idea whether it is backportable, or whether we should just close as fixed for Fedora 24, CCing patch author.
Comment 3 Fedora End Of Life 2016-07-19 15:24:58 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.